function main(self)
	if self.State == 0 then
		StartElevator(self)
		self.SpecialFlags.StartElevator = true
		self.MoveRect = {-60,-8,64,0}
		self.AttackRect = {-60,-8,64,0}
		self.HitRect = {-60,-8,64,0}
	else
		StartElevator(self)
	end
end